/***********************************************************
Copyright 1990 by Digital Equipment Corporation, Maynard, Massachusetts.

                        All Rights Reserved

Permission to use, copy, modify, and distribute these examples for any
purpose and without fee is hereby granted, provided that the above
copyright notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting documentation,
and that the name of Digital not be used in advertising or publicity
pertaining to distribution of the software without specific, written
prior permission.

DIGITAL AND THE AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
FITNESS, IN NO EVENT SHALL DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT
OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
OR PERFORMANCE OF THIS SOFTWARE.

******************************************************************/

/* Make it safe to include this file more than once. */
#ifndef GRAPHDISPLAYP_H
#define GRAPHDISPLAYP_H

/* Include the public header file for GraphDisplay */
#include "GraphDispl.h"

/* GraphDisplay is derived from Object, so no need to include the
   superclass private header file. */

/* Define the GraphDisplay instance part */
typedef struct {
    Pixel	foreground;	/* Foreground pixel value */
    XFontStruct	*font;		/* Font to display in */
    GC		gc;		/* Graphics context for displaying */
} GraphDisplayPart;

/* Define the full instance record */
typedef struct _GraphDisplayRec {
    ObjectPart		object;
    GraphDisplayPart	graphDisplay;
} GraphDisplayRec;

/* Define new type for the compute_size method */
typedef void (*ComputeSizeProc)();
    /* GraphWidget	w; */

/* Define class part structure */
typedef struct {
    ComputeSizeProc	compute_size;
    XtExposeProc	expose;
    XtPointer		extension;
} GraphDisplayClassPart;

/* Define the full class record */
typedef struct _GraphDisplayClassRec {
    ObjectClassPart		object_class;
    GraphDisplayClassPart	graphDisplay_class;
} GraphDisplayClassRec, *GraphDisplayObjectClass;

/* External definition for class record */
extern GraphDisplayClassRec graphDisplayClassRec;

/* Inheritance constant for compute_size method */

#define InheritComputeSize ((ComputeSizeProc) _XtInherit)

/* End of preprocessor directives */
#endif /* GRAPHDISPLAYP_H */
